commit:     c9c9802825b27b736a2624113b18802362519506
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 18 03:24:18 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 18 03:52:43 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9c98028

dev-python/openapi-core: Bump to 0.23.0_beta1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/openapi-core/Manifest                   |  2 +
 .../openapi-core/openapi-core-0.23.0_beta1.ebuild  | 75 ++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/openapi-core/Manifest b/dev-python/openapi-core/Manifest
index 8ee63d7d3e66..cd49339d44e7 100644
--- a/dev-python/openapi-core/Manifest
+++ b/dev-python/openapi-core/Manifest
@@ -1,2 +1,4 @@
 DIST openapi_core-0.22.0.tar.gz 109242 BLAKE2B 
bf64e91e77b5a7a6ebd75a51cf0422b1cd7ba92be6f7d826c3f236df7877004ea4d9e04ba684798bd82b623e5c992109d27bbee6019692a15c6ffee5e4b10df5
 SHA512 
9d007ab74eb61c446afc19624595cc584f69da76713f5f6ce1d931cfe581b9632705226be3e9e93ea191587a3cec98f20e627a923d59596ef0ce0bfa8dd3807d
 DIST openapi_core-0.22.0.tar.gz.provenance 9826 BLAKE2B 
be43b254d91c0e1e91f3a7fef8a686eb17ff050073f019df1922718f1eec038fab7fbed9354c6533376f7b71f2c6da75964d44b09b4d9b1673f27fdd8a14a5eb
 SHA512 
7e89655ca6480f1e758e158ff6071e064c52678d0138d501048306f348e1d3afb2506f5de848718d289bcd7eef25ecf2d97d51751fcdcb371b3c2f1f87fb45b7
+DIST openapi_core-0.23.0b1.tar.gz 109765 BLAKE2B 
760b8a9b744a887a1680a0e15741c024457daad14ea08f641b2e1fd942c26880a9f4517b79522a794eb57caf9b76668b577921b3963fbb486b48d68a29ffd301
 SHA512 
7b11abe02392aff493a67e54174b043c28974bff3d9a0531341c6ab507a4f35aba68d184e62af4d1f06504936eedef9c5e366c61c2625d1a0dbfb699f2925c7b
+DIST openapi_core-0.23.0b1.tar.gz.provenance 9682 BLAKE2B 
d6d0bdb01863d9a08e56a3897cc3d57dd4b41e2c8a572e2f1f99ffa9d9304b460abf09fc13ba1225fcf27a0f19b42b3d6891a689de842c878c175d91094e19b9
 SHA512 
dfe76d562717815380cd9ca3f9f7d70b44278e4cc876b99df5ad2f12e5806ebc0d9bcf42752dbc926ef87808bbf8c9487723f1ddfa902952cf9439119aa989a9

diff --git a/dev-python/openapi-core/openapi-core-0.23.0_beta1.ebuild 
b/dev-python/openapi-core/openapi-core-0.23.0_beta1.ebuild
new file mode 100644
index 000000000000..6fd60bc4a33c
--- /dev/null
+++ b/dev-python/openapi-core/openapi-core-0.23.0_beta1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYPI_VERIFY_REPO=https://github.com/python-openapi/openapi-core
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Client-side and server-side support for the OpenAPI Specification 
v3"
+HOMEPAGE="
+       https://github.com/python-openapi/openapi-core/
+       https://pypi.org/project/openapi-core/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_beta* ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+       <dev-python/asgiref-4[${PYTHON_USEDEP}]
+       >=dev-python/asgiref-3.6.0[${PYTHON_USEDEP}]
+       dev-python/isodate[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-4.23.0[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-path-0.5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-path-0.4.0_beta8[${PYTHON_USEDEP}]
+       dev-python/more-itertools[${PYTHON_USEDEP}]
+       dev-python/parse[${PYTHON_USEDEP}]
+       <dev-python/openapi-schema-validator-0.7[${PYTHON_USEDEP}]
+       >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+       <dev-python/openapi-spec-validator-0.9[${PYTHON_USEDEP}]
+       >=dev-python/openapi-spec-validator-0.8.0_beta3[${PYTHON_USEDEP}]
+       >=dev-python/werkzeug-2.1.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       test? (
+               >=dev-python/aiohttp-3.8.4[${PYTHON_USEDEP}]
+               >=dev-python/aioitertools-0.11.0[${PYTHON_USEDEP}]
+               dev-python/flask[${PYTHON_USEDEP}]
+               >=dev-python/httpx-0.24.0[${PYTHON_USEDEP}]
+               dev-python/responses[${PYTHON_USEDEP}]
+               >=dev-python/starlette-0.26.1[${PYTHON_USEDEP}]
+               dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+               dev-python/webob[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-{aiohttp,asyncio} )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+       # missing dependendencies
+       tests/integration/contrib/falcon
+       tests/integration/contrib/fastapi
+
+       # TODO: these tests fail to collect
+       tests/integration/validation/test_security_override.py
+       tests/integration/validation/test_read_only_write_only.py
+
+       # unhappy about modern django
+       tests/integration/contrib/django/test_django_project.py
+       tests/unit/contrib/django/test_django.py
+)
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       sed -i -e '/--cov/d' pyproject.toml || die
+}

Reply via email to